body main {
    background-color: var(--color-default-background-color) !important;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.top-bar {
    min-height: 4.5rem;
    padding-left: 1rem;
    padding-right: 1rem;
}

.logo-image {
    height: 3.5rem;
    width: auto;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: start;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

.k-tabstrip-item.k-active {
    color: var(--color-primary) !important;
    font-weight: 800;
    font-size: 1.2rem;
    border-width: 0px;
    background-color: var(--color-default-background-color) !important;
}

    .k-tabstrip-item.k-active .k-link {
        font-size: 1.2rem;
    }

.k-tabstrip-item {
    color: var(--color-text-gray) !important;
    font-weight: 600;
    border-width: 0 !important;
}

.k-tabstrip-item:not(:first-child) {
    margin-left: 20px;
}

    .k-tabstrip-item:hover {
        color: var(--color-text-gray-hover) !important;
    }

    .k-tabstrip-item:hover,
    .k-tabstrip-item:active,
    .k-tabstrip-item:focus {
        box-shadow: unset !important;
    }

.k-tabstrip-content {
    border: unset;
    background-color: var(--color-default-background-color) !important;
}

.k-tabstrip-top > .k-tabstrip-items-wrapper {
    border-block-end-width: 0px;
    padding-bottom: 1px;
    border-bottom-width: 1px;
}

.k-button-medium-gray {
    border-color: var(--kendo-color-medium-gray);
    color: var(--kendo-color-on-medium-gray);
    background-color: var(--kendo-color-medium-gray);
}

    .k-button-medium-gray:hover,
    .k-button-medium-gray.k-hover {
        border-color: var(--kendo-color-medium-gray-hover);
        background-color: var(--kendo-color-medium-gray-hover);
    }

    .k-button-medium-gray:active,
    .k-button-medium-gray.k-active {
        border-color: var(--kendo-color-medium-gray-active);
        background-color: var(--kendo-color-medium-gray-active);
    }

.k-grid-content {
    overflow-y: auto;
}

.k-grid-header {
    padding-inline-end: 0px;
}

.k-tabstrip-content:active {
    outline-width: 0px;
}

.k-grid {
    border-radius: var(--kendo-border-radius-md);
}

.k-grid-header .k-column-title {
    font-weight: 600;
}

.input-container {
    position: relative;
    margin-top: 20px;
}

    /* Style the input field */
    .input-container input {
        width: 100%;
        padding: 10px;
        font-size: 16px;
        border: 1px solid #ccc;
        border-radius: 4px;
        outline: none;
    }

    /* Base position of the label (acting as your placeholder) */
    .input-container label {
        position: absolute;
        left: 10px;
        top: 10px;
        color: #999;
        background-color: white;
        padding: 0 5px;
        transition: all 0.3s ease;
        pointer-events: none; /* Allows the user to click through the label to type */
    }

    /* Move the label to the top when focused or when the input has content */
    .input-container input:focus ~ label,
    .input-container input:not(:placeholder-shown) ~ label {
        top: -10px;
        font-size: 12px;
        color: #333;
    }

.login-body {
    background-color: var(--color-default-background-color);
}

.form-control:focus {
    box-shadow: 0 0 0 .25rem rgb(var(--color-focus-shadow-box));
}

.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--color-primary);
    --bs-btn-border-color: var(--color-primary);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--color-primary-light);
    --bs-btn-hover-border-color: var(--color-primary-light);
    --bs-btn-focus-shadow-rgb: var(--color-focus-shadow-box);
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--color-primary-light);
    --bs-btn-active-border-color: var(--color-primary-light);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: var(--color-primary);
    --bs-btn-disabled-border-color: var(--color-primary);
}